---
search:
  tags:
    - Integrity
    - GET
seo:
  description: >-
    List source-filtering penalties with the evidence… Reference for the GET
    /api/admin/integrity/filtering endpoint in the Athena Attack/Defence Admin
    API.
sidebar:
  label: >-
    List source-filtering penalties with the evidence behind each, and
    inconclusive findings that were not penalized
  badge: GET
title: >-
  List source-filtering penalties with the evidence behind each, and
  inconclusive findings that were not penalized
type: openapi-operation
---
`GET /api/admin/integrity/filtering`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "fromTick": 0,
  "toTick": 0,
  "totalVerdicts": 0,
  "teamsAffected": 0,
  "verdicts": [
    {
      "tick": 0,
      "teamId": "string",
      "teamHandle": "string",
      "teamNumber": 0,
      "serviceId": "string",
      "serviceSlug": "string",
      "storeIndex": 0,
      "storeLabel": "string",
      "state": "ok"
    }
  ],
  "findings": [
    {
      "tick": 0,
      "teamId": "string",
      "teamHandle": "string",
      "protocol": "string",
      "port": 0,
      "ruleVersion": 0,
      "verdict": "source_filtering",
      "reason": "string",
      "reasonDetail": {
        "property1": "string",
        "property2": "string"
      },
      "participantSources": 0,
      "eligibleParticipantSources": 0,
      "participantTrialsAnswered": 0,
      "checkerSourcesAnswered": 0,
      "windowStartsAt": "2019-08-24T14:15:22Z",
      "windowEndsAt": "2019-08-24T14:15:22Z",
      "observationSequence": 0
    }
  ]
}
```
